package com.jasamedika.medifirst2000.vo;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

import javax.validation.constraints.NotNull;

/**
 * class Tor
 * 
 * @author Generator
 */
public class TorVO extends BaseMasterVO {

	@NotNull(message = "No Rab TIdak Boleh Kosong")
	@Caption(value = "No Rab")
	private String noRab;

	@Caption(value = "Title 1")
	private String title1;

	@Caption(value = "Title 2")
	private String title2;

	@Caption(value = "Title 3")
	private String title3;

	@Caption(value = "latarBelakang")
	private String latarBelakang;

	@Caption(value = "Penerima Manfaat")
	private String penerimaManfaat;

	@Caption(value = "Strategi Pencapai Keluaran")
	private String strategiPencapaiKeluaran;

	@Caption(value = "Kurun Waktu Pencapai Keluaran")
	private String kurunWaktuPencapaiKeluaran;

	@Caption(value = "Biaya Yang Dikeluarkan")
	private String biayaYangDikeluarkan;

	@Caption(value = " Jabatan")
	private JabatanVO jabatan;

	public String getNoRab() {
		return noRab;
	}

	public void setNoRab(String noRab) {
		this.noRab = noRab;
	}

	public String getTitle1() {
		return title1;
	}

	public void setTitle1(String title1) {
		this.title1 = title1;
	}

	public String getTitle2() {
		return title2;
	}

	public void setTitle2(String title2) {
		this.title2 = title2;
	}

	public String getTitle3() {
		return title3;
	}

	public void setTitle3(String title3) {
		this.title3 = title3;
	}

	public String getLatarBelakang() {
		return latarBelakang;
	}

	public void setLatarBelakang(String latarBelakang) {
		this.latarBelakang = latarBelakang;
	}

	public String getPenerimaManfaat() {
		return penerimaManfaat;
	}

	public void setPenerimaManfaat(String penerimaManfaat) {
		this.penerimaManfaat = penerimaManfaat;
	}

	public String getStrategiPencapaiKeluaran() {
		return strategiPencapaiKeluaran;
	}

	public void setStrategiPencapaiKeluaran(String strategiPencapaiKeluaran) {
		this.strategiPencapaiKeluaran = strategiPencapaiKeluaran;
	}

	public String getKurunWaktuPencapaiKeluaran() {
		return kurunWaktuPencapaiKeluaran;
	}

	public void setKurunWaktuPencapaiKeluaran(String kurunWaktuPencapaiKeluaran) {
		this.kurunWaktuPencapaiKeluaran = kurunWaktuPencapaiKeluaran;
	}

	public String getBiayaYangDikeluarkan() {
		return biayaYangDikeluarkan;
	}

	public void setBiayaYangDikeluarkan(String biayaYangDikeluarkan) {
		this.biayaYangDikeluarkan = biayaYangDikeluarkan;
	}

	public JabatanVO getJabatan() {
		return jabatan;
	}

	public void setJabatan(JabatanVO jabatan) {
		this.jabatan = jabatan;
	}

}
